#include "projet.h"

GLuint introtexture;
static int success = 0;

void
glintro_load_2D_intro (void)
{
  glEnable (GL_TEXTURE_2D);
  glGenTextures (1, &introtexture);
  success = bind_bmp_texture (introtexture, "intro.bmp");
}

void
glintro_free_2D_intro (void)
{
  
}

void
glintro_draw_2D_intro (void)
{
  glClear (GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
  glLoadIdentity ();

  if (success) {
    glBegin (GL_QUADS);

    glTexCoord2f (0, 1);
    glVertex2f (0, 600);

    glTexCoord2f (0, 0);
    glVertex2f (0, 0);

    glTexCoord2f (1, 0);
    glVertex2f (800, 0);

    glTexCoord2f (1, 1);
    glVertex2f (800, 600);

    glEnd ();
  }
}
