#include "projet.h"

TER_param_fault_t fault_param;

void
faultw_fill_params (GtkWidget * window)
{
  GtkSpinButton *spb;

  spb =
    GTK_SPIN_BUTTON (lookup_widget (GTK_WIDGET (window), "faultw_numitersb"));
  fault_param.num_iter = gtk_spin_button_get_value_as_int (spb);

  spb = GTK_SPIN_BUTTON (lookup_widget (GTK_WIDGET (window), "faultw_dhsb"));
  fault_param.dh0 = gtk_spin_button_get_value_as_float (spb);
  
  /*g_print ("parameters: num=%d, dh=%f\n",
	   fault_param.num_iter, fault_param.dh0);*/
}


void
on_faultw_okb_clicked (GtkButton * button, gpointer user_data)
{
  /* recupere les parametres */
  faultw_fill_params (GTK_WIDGET (user_data));
  terrain->spec_param = (void *) &fault_param;

  gtk_widget_destroy (GTK_WIDGET (user_data));

  gtkglw_activate_buttons();
  
  terrain->algo = TERR_FAULT;  

  ui_generic_generate_new_terrain (terrain);
}
