#include "projet.h"

TER_param_particle_t particle_param;

void
particlew_fill_params (GtkWidget * window)
{
  GtkSpinButton *spb;

  spb =
    GTK_SPIN_BUTTON (lookup_widget (GTK_WIDGET (window), "particlew_numitersb"));
  particle_param.num_iter = gtk_spin_button_get_value_as_int (spb);

  spb = GTK_SPIN_BUTTON (lookup_widget (GTK_WIDGET (window), "particlew_numislandsb"));
  particle_param.num_islands = gtk_spin_button_get_value_as_int (spb);
  
  spb = GTK_SPIN_BUTTON (lookup_widget (GTK_WIDGET (window), "particlew_dhsb"));
  particle_param.dh0 = gtk_spin_button_get_value_as_float (spb);
  
  /*g_print ("parameters: num=%d, islands=%d, dh=%f\n",
	   particle_param.num_iter, particle_param.num_islands, particle_param.dh0);*/
}


void
on_particlew_okb_clicked (GtkButton * button, gpointer user_data)
{
  /* recupere les parametres */
  particlew_fill_params (GTK_WIDGET (user_data));
  terrain->spec_param = (void *) &particle_param;

  gtk_widget_destroy (GTK_WIDGET (user_data));

  gtkglw_activate_buttons();
  
  terrain->algo = TERR_PARTICLE;  

  ui_generic_generate_new_terrain (terrain);
}
